body{ padding:0px; margin:0px; }

@keyframes loading {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

[flex="row"]{
	
	display: flex; flex-direction: row !important; align-items: center;
}
[flex="column"]{
	display: flex; flex-direction: column !important;
}

attachment{
	display: inline-flex; flex-direction:row; align-items: center;
}
attachment::before{
	content: "\e6af"; font-family: "iconfont"; margin-right: 0.35714rem;
}
attachment span{
	margin-right:1.07143rem;
}

attachment button{
	background:none; border:0px; padding:0px; color:var(--color-link);
	text-decoration: underline; cursor: pointer;
}
attachment button:hover{
	font-weight:bold;
}

note{
	display:flex; flex-direction:row; align-items: center;
	line-height:1.0; padding-bottom:0.71429rem; color: #ff8b19;
}
note::before{
	content: "\e681"; font-family: "iconfont"; margin-right:0.35714rem;
	display: inline-block; width:1.14286rem; min-width:1.14286rem; height:1.14286rem; line-height:1.14286rem; text-align: center; 
	background: #ff8b19; color:#fff; border-radius:50%; font-size:1.00000rem; font-weight:bold;
}

.text-justify{
    text-align: justify !important;
    text-justify: inter-word !important;
    text-align-last: justify !important;
}

i[type="primary"]{
	background-color: var(--color-background-primary-button); 
	border-color: var(--color-border-primary-button); 
	color:var(--color-primary-button);
	border-radius:50%;
	position: relative; cursor: pointer;
	display:inline-block;
}
i[type="danger"]{
	background-color: rgb(254, 240, 240); border-color:rgb(251, 196, 196);
	color:rgb(245, 108, 108); border-radius:50%; 
	position: relative; cursor: pointer;
	display:inline-block;
}

i[type="primary"]::before, i[type="danger"]::before{
	position:absolute; left:50%; top:50%; transform: translate(-50%, -50%);
}

i[type="primary"]:hover{
	background-color:var(--color-primary-button) !important; color:#fff;
}

i[type="danger"]:hover{
	background-color:rgb(245, 108, 108) !important; color:#fff;
}


i.el-icon-plus.dyui-upload-button{
	border:0.07143rem #e5e5e5 solid; padding: 2.14286rem; display:inline-block;
	border-radius:0.71429rem; font-size:2.14286rem; color:#999; background:#f8f8f8;
}
i.el-icon-plus.dyui-upload-button:hover{
	background:none; color:var(--color-primary);
	border:0.07143rem var(--color-primary) dashed;
}

.dyui-title{
	display: flex; flex-direction: row; align-items: center;
	font-size:1.28571rem; line-height:1.0; margin-bottom:1.42857rem; font-weight:normal;
}
.dyui-title::before{
	content:""; display:block; width:0.35714rem; height:1.28571rem; 
	background:var(--color-primary); margin-right:0.71429rem;
	border-radius:0.21429rem;
}

scroll-view, .dyui-scroll-view{
	display:block; overflow:auto; height:100%; flex-grow:1;
}
scroll-view::after, .dyui-scroll-view::after{
	content: ""; display:block; height:7.14286rem;
}

.switch-buttons{
	display:inline-block; white-space:nowrap; border:0.07143rem #e5e5e5 solid; border-radius:0.35714rem;
	overflow:hidden;
}
.switch-buttons label{
	border:0px; display:inline-block; height:2.85714rem; line-height:2.85714rem; padding:0 1.42857rem;
	position:relative; 
}
.switch-buttons label.active{
	background:var(--color-primary); color:#fff;
}

.dyui-table{ 
	min-width:100%; padding:0px; border-radius:0.28571rem;
	border-spacing:0px; border:0.07143rem #e5e5e5 solid; border-left:0px; border-right:0px;
	border-collapse: collapse; border-radius:0.35714rem !important; overflow:hidden;
}
.dyui-table td, .dyui-table th{ 
	border:0.07143rem #e5e5e5 solid; border-left:0px; border-right:0px; height:3.92857rem; line-height:3.92857rem; padding:0 1.07143rem; 
	text-align:left;
}
.dyui-table th{ 
	color:#001533; font-weight:normal; height:3.21429rem; line-height:3.21429rem;
	background: linear-gradient(to bottom, #fff, #f8f8f8);
}
.dyui-table tr:last-child td{ border-bottom:0px; }

.dyui-table td input, .dyui-table th input{

	vertical-align:middle;
}

.dyui-table tr:hover td{
	background:#f5f7fa;
}

.dyui-button, cancel{ 
	border-radius:0.28571rem; border:0.07143rem #e5e5e5 solid; 
	padding:0.71429rem 1.42857rem; line-height:1.0; text-align:center; font-size: 1rem;
	background:none; color:#666; cursor: pointer;
}

cancel{
	background:#f8f8f8;
}
cancel:hover{
	border-color: #ccc; color:#333; background:#fff;
}

.dyui-button[add]{
	padding:0 1.07143rem;
}
.dyui-button[add]::before, .dyui-button[type="add"]::before{
	content: "+";
}

.dyui-button[type="add"]{
	color:var(--color-primary-button); border:0.07143rem var(--color-border-primary-button) solid;
	background-color: var(--color-background-primary-button);
}

.dyui-button[size="small"]{
	height:auto; line-height:1.0;
	padding:0.35714rem 1.07143rem;
}
.dyui-button[round]{
	border-radius:1.42857rem;
}
.dyui-button[type="primary"]{
	background-color:#409EFF; border-color:#409EFF; color:#fff;
}
.dyui-button:hover{
	filter: brightness(110%);
}
.dyui-button[type="cancel"]:hover{
	border-color: #409EFF; color:#409EFF;
}

.dyui-button[type="text"]{
	background:none; border:0px; color:#409EFF; padding:0px; line-height:1.5;
}

::placeholder{
	color:#ccc;
}

button[type="text"],button.dyui-button[text]{
	color:#409EFF; background:none; border:0px; position:relative; padding:0;
}
button[type="text"]:hover,button.dyui-button[text]:hover{
	background:none; border:0px;
	text-decoration: underline; cursor:pointer;
}

button.dyui-button[type="danger"]{
	color: rgb(245, 108, 108);
}

.dyui-input{
	padding:0 0.71429rem;
}
.dyui-input, .dyui-select{
	height:2.14286rem; line-height:2.14286rem; border:0.07143rem #e5e5e5 solid; border-radius:0.21429rem;
	outline:none;
}
.dyui-select{
	padding-right:1.42857rem; padding-left:0.71429rem;
}
.dyui-input:focus, .dyui-select:focus{
	border-color:#ccc;
}
.dyui-input:hover, .dyui-select:hover{
	border-color:#aaa;
}

.dyui-select{
	color:#666;
}
.dyui-select:hover{
	color:#000;
}
.dyui-input[type="number"]{
	padding-right:0px !important; max-width:100%;
}
.dyui-link{
	display:inline-block; cursor: default; color:#409EFF;
}

i{ font-style: normal; }

grey, .grey{
	color:#999; font-size:1.00000rem;
}

em{
	font-style: normal; font-weight: bold; color:inherit;
	display:inline-block; padding:0 0.21429rem;
}

em[type="link"]{
	text-decoration: underline; cursor: pointer;
}

loading{
	position:absolute; display:inline-block;
	left:50%; top:10%; transform: translateX(-50%) translateY(-50%);
	z-index:201;
}

loading[type='progress']{
	width:21.42857rem; max-width:80%; height:0.71429rem; line-height:0.71429rem;
	border:0.07143rem #e5e5e5 solid; background-color:#f5f5f5; border-radius:0.35714rem; overflow:hidden;
	clear:both;
}
loading[type='progress'] span{
	display:inline-block; height:100%; background-color:#1ea100; float:left;
}

loading[type='loading']{
	width:5.71429rem; height:5.71429rem; border:0.07143rem #e5e5e5 solid;
	border-radius:0.71429rem; background:#fff;
	box-shadow: 0.2rem 0.2rem 1rem 0.08rem rgba(0, 0, 0, 0.2);
}

loading[type='loading']::before{
	font-family:"iconfont"; content:"\e651"; text-align: center;
	display:inline-block; width:100%; height:100%; line-height:5.71429rem;
	font-size:2.14286rem; color:#999;
	background-size:35% auto; animation: round 3s infinite ease;
}

@keyframes round{

	0%{
		
		transform: rotate(0deg);
	}
	
	100%{
	
		transform: rotate(360deg);
	}
}

loading[type='text']{

	color: red;
}

.el-textarea__inner{
	border-color:#e5e5e5;
}

.dyui-form-item{
	position:relative; display:flex; flex-direction:row; align-items: center;
}

.dyui-form-item label.dyui-form-item-label{
	display: block; white-space: nowrap; overflow: hidden; text-overflow: ellipsis;
	margin-right:0.71429rem; width:5.71429rem;
}
.dyui-form-item > .dyui-form-item-content{
	width:100%; flex-grow:1; overflow:hidden;
	position: relative; padding: 1.07143rem 0;
}

.dyui-form-item[scroll]{
	flex-grow:1; display:flex; flex-direction: column;
	overflow: hidden;
}
.dyui-form-item[scroll] .dyui-form-item-content{
	flex-grow:1; overflow:auto;
}



.input-number{ width:15.71429rem !important; }
.right-content-header-action button{ white-space:nowrap; line-height:1.0; padding:0.57143rem 1.42857rem; }

#dy-page-loading{
	position:absolute; width:100%; height:100%; left:0px; top:0px;
	background-color: rgba(0, 0, 0, 0.2);
}

error{
	display:block; position: absolute; top:50%; left:50%; transform: translate(-50%, -50%);
	text-align: center; width:21.42857rem; padding-top:9.64286rem;
	background: url("../images/error.png") left 10% top -5.71429rem no-repeat;
	background-size: 90% auto; font-size:1.14286rem; color:red;
}

no-data{
	display:block; position: absolute; top:50%; left:50%; transform: translate(-50%, -50%);
	text-align: center; width:21.42857rem; padding-top:8.57143rem;
	background: url("../images/no-data.png") center top 0px no-repeat;
	background-size: 30% auto; font-size:1.14286rem; color:#666;
}

span.search{
	position: relative; display: inline-flex; flex-direction: row;
	width:10.71429rem; align-items: center;
	border:0.07143rem #d5d5d5 solid; border-radius:1.21429rem; overflow:hidden;
	height:2.42857rem; line-height:2.42857rem; padding:0 0.35714rem;
}
span.search input{
	box-sizing: border-box; width: calc(100% - 2.42857rem); border:0px;
}

span.search button{
	padding:0px; margin:0px; border:0px; display:block;
	padding:0px; width:2.42857rem; height:2.42857rem; line-height: 2.42857rem;
}

span.search button::before{
	content: "\e644"; font-family: "iconfont";
}

.dyui-page.dyui-page-web{
	width:100%; height:100%; overflow: hidden;
}

.dyui-page.dyui-page-web .dyui-page-content{
	overflow: auto; height:100%; max-height:100%; flex-grow:1;
}

.dy-dialog{
	display:block; position:absolute; top:0px; right:0px; height:100%; width:100%;
	overflow:hidden;
}
.dy-dialog::before{
	content:""; display:none; position:absolute; width:100%; height:100%; background:#000;
	opacity:0.3; box-sizing:border-box; padding:0px; margin:0px;
}

.dyui-dialog-group .dy-dialog:last-child::before{
	display:block;
}

.dy-dialog .dy-dialog-info-extra{
	position:relative; height:0px; width:100%; padding:0px; margin:0px; line-height:0px;
}

.dy-dialog .dy-dialog-wraper{
	position:absolute; width:55%; height:100%; right:-100%; top:0px;
	box-sizing:border-box; padding:0px 1.42857rem;
	display:flex; flex-direction:column; background:#fff; border-radius:0px;
}

.dy-dialog .dy-dialog-wraper[position="top-left"],
.dy-dialog .dy-dialog-wraper[position="left"]{
	right: unset; left:0px; top:0px;
}
.dy-dialog .dy-dialog-wraper[position="top-center"]{
	right: unset; left:50%; top:0px; transform: translateX(-50%);
}
.dy-dialog .dy-dialog-wraper[position="top-right"],
.dy-dialog .dy-dialog-wraper[position="right"]{
	right: 0px; top:0px;
}
.dy-dialog .dy-dialog-wraper[position="center-left"]{
	right: unset; top:50%; left:0px; transform: translateY(-50%);
	height:auto; border-radius: 0.71429rem;
}
.dy-dialog .dy-dialog-wraper[position="center-center"],
.dy-dialog .dy-dialog-wraper[position="center"]{
	right: unset; top:50%; left:50%; transform: translate(-50%, -50%);
	height:auto; border-radius: 0.71429rem;
}
.dy-dialog .dy-dialog-wraper[position="center-right"]{
	right: 0px; top:50%; transform: translateY(-50%);
	height:auto; border-radius: 0.71429rem;
}
.dy-dialog .dy-dialog-wraper[position="bottom-left"],
.dy-dialog .dy-dialog-wraper[position="bottom"]{
	right: unset; top:unset; left:0px; bottom:0px;
}
.dy-dialog .dy-dialog-wraper[position="bottom-center"]{
	right: unset; top:unset; left:50%; bottom:0px; transform: translateX(-50%);
}
.dy-dialog .dy-dialog-wraper[position="bottom-right"]{
	right: 0px; top:unset; bottom:0px;
}


.dy-dialog .dyui-pc-prompt{
	position:absolute; width:26.42857rem; height:auto; right:unset; top:50%; left:50%;
	transform: translate(-50%, -50%);
	box-sizing:border-box; padding:0px 1.42857rem; display:block; border-radius:0.28571rem;
}

.dy-dialog .dyui-pc-dialog-web{
	box-shadow: -0.71429rem 0px 0.71429rem rgba(0, 0, 0, 0.15);
}

.dy-dialog .dy-dialog-wraper > .dyui-button-group{
	display:block; padding:1.07143rem 0; text-align:right;
}
.dy-dialog .dyui-pc-prompt > .dyui-button-group{
	display:block; padding:1.07143rem 0; padding-bottom:1.42857rem; text-align:right;
}
.dy-dialog-wraper:not(.dyui-pc-dialog-web) > .dyui-button-group::before{
	display:none;
}

.dy-dialog .dy-dialog-wraper > .dyui-button-group *{
	margin:0 0.71429rem;
}
.dy-dialog .dy-dialog-wraper > .dyui-button-group *:last-child{
	margin-right:0px;
}

.dy-dialog .dy-dialog-wraper.dyui-dialog-show-animate{
	transition: transform 2s ease-in-out;
}
.dy-dialog .dy-dialog-wraper .dy-dialog-title{
	padding:1.07143rem 0; border-bottom:0px;
	display:flex; flex-direction:row; justify-content: space-between;
	max-height:2.00000rem; line-height:2.00000rem; min-height:2.00000rem; height:2.00000rem;
	box-sizing:content-box; align-items:center; position:relative;
}
.dy-dialog .dy-dialog-wraper .dy-dialog-title label{
	font-size:1.28571rem; font-weight:normal; color:var(--color-title);
}

.dy-dialog .dyui-pc-dialog-web .dy-dialog-title::after{
	content:""; display:block; height:0.21429rem; box-shadow: 0px 0.14286rem 0.35714rem rgba(0, 0, 0, 0.04);
	background:none; position:absolute; bottom:0px; left:0px; width:100%;
	border-bottom:0.07143rem #e5e5e5 solid;
}

.dy-dialog .dyui-pc-prompt .dy-dialog-title{
	border-bottom:0px;
}

.dy-dialog .dy-dialog-wraper .dy-dialog-body{
	flex-grow:1; overflow:hidden; padding-top:1.07143rem; padding-bottom:1.07143rem;
	position: relative; display: flex; flex-direction:column;
}

.dy-dialog .dyui-pc-prompt .dy-dialog-body{
	padding-right:2.14286rem; position: relative;
}



.dy-dialog .dyui-page-body{
	display: flex; flex-direction:column; overflow:hidden; flex-grow:1;
}

.dy-dialog .dyui-page-body>form,
.dy-dialog .dyui-page-body>scroll-view,
.dy-dialog .dyui-page-body>.dyui-scroll-view{
	flex-grow:1; overflow:auto; 
}
.dy-dialog .dyui-page-body .button-group,
.dy-dialog .dyui-page-body button-group{
	display:flex; flex-direction:row; text-align:right; padding-top:1.07143rem;
	box-shadow: -0.71429rem 0px 0.57143rem rgba(0, 0, 0, 0.07);
	border-top:0.07143rem #efefef solid; margin-top:1.07143rem; overflow:hidden;
	justify-content: space-between; height:4.28571rem; min-height:4.28571rem; max-height:4.28571rem;
	align-items: center; gap: 2.14286rem;
}

.dy-dialog .dyui-page-body .button-group[align='right']::before,
.dy-dialog .dyui-page-body button-group[align='right']::before{
	content: ""; display: block; flex-grow:1;
}

cancel{
	display:inline-block; cursor: pointer;
}

button[type="close"]{
	padding:0.71429rem; border:0px; height:inherit; line-height:1.0;
	height:2.00000rem; width:2.00000rem; position:relative; display:inline-block;
	overflow: hidden; border-radius:50%; cursor:pointer; color:#000;
	background:none; 
	transition: background-color .2s cubic-bezier(.645, .045, .355, 1);
}
button[type="close"]::before{
	content:"\e6c9"; font-family:"iconfont";
	font-size:2.00000rem; line-height:1.0;
	position:absolute; left:50%; top:50%; transform: translate(-50%, -50%);
}

button[type="close"]:hover{
	background-color:red !important; color:#fff;
}

.dy-dialog .dyui-pc-prompt .dy-dialog-title button[type="close"]:hover{
	background:none !important; color:red;
}

.dy-editor{
	border:0.07143rem #e5e5e5 solid; padding:0.35714rem 1.07143rem; border-radius:0.28571rem;
	width:100%; line-height: 1.5; box-sizing: border-box;
	min-height:5.71429rem; outline:0; transition: border-color .2s cubic-bezier(.645, .045, .355, 1);
}
.dy-editor:hover{
	border-color:#bbb;
}
.dy-editor:focus{
	border-color:#409EFF;
}


.dyui-toast{
	position:absolute; z-index:100; color:#fff;
	height:auto; line-height:1.0; padding:0.57143rem 1.42857rem; border-radius:0.35714rem;
	top:1.07143rem; left:50%; transform: translateX(-50%);
	background:#f5f5f5; border:0.07143rem #efefef solid; color:var(--color-title);
	display:flex; flex-direction:row; align-items:center;
	overflow: hidden; max-width:80%; text-overflow:ellipsis; white-space:nowrap;
}

.dyui-toast::before{
	margin-right:0.71429rem; font-family:"iconfont";
	display:block; width:1.42857rem; height:1.42857rem; line-height:1.42857rem; text-align:center; border-radius:50%;
}

.dyui-toast[type="success"]{
	background: #f0f9eb; border-color:#e1f3d8; color:#67C23A;
}
.dyui-toast[type="success"]::before{
	content:"\e6fa"; background-color:#67C23A; color:#fff; 
}

.dyui-toast[type="error"]{
	background: #fef0f0; border-color:#fde2e2; color:#F56C6C;
}
.dyui-toast[type="error"]::before{
	content:"\e6c9"; background-color:#F56C6C; color:#fff; 
}

.dyui-toast[type="warning"]{
	background: #fdf6ec; border-color:#faecd8; color:#E6A23C;
}
.dyui-toast[type="warning"]::before{
	content:"\e681"; background-color:#E6A23C; color:#fff; 
}

.dyui-loading{
	display:block; height:0px; line-height:0px; position:absolute; width:100%; height:100%;
	background:rgba(0, 0, 0, 0.1); z-index:201;
}

.dyui-loading::before{
	content:""; display:block; position:absolute; width:4.28571rem; height:4.28571rem; left:50%; top:10%;
	background:#fff; border-radius:0.71429rem; tansform:translateX(-50%);
	overflow:hidden;
}
.dyui-loading::after{
	content:"\e651"; font-family:"iconfont"; font-size:2.14286rem;
	animation: loading 1.8s infinite linear;
	position:absolute; width:4.28571rem; height:4.28571rem; left:50%; top:10%;
	tansform:translateX(-50%); display:block; width:4.28571rem; height:4.28571rem; text-align: center;
	line-height:4.28571rem;
}

.dyui-dialog-content{
	position: absolute; right:0px; top:0px; height:100%;
	z-index:6; background:#fff; padding:1.42857rem; display:none;
}

.dyui-dialog-content::before{
	content:""; position:absolute; left:0px; top:0px; width:100%; height:100%; padding:0px; margin:0px; 
	background-color:rgba(0, 0, 0, 0.1);
}

.sub-table-select .el-table .el-table__cell{
	padding:0.42857rem 0; line-height:1.5;
}

.sub-table-select .sub-table-select-buttons{
	text-align:right; padding-bottom:0.71429rem;
	display:flex; flex-direction: row; align-items: center; 
	justify-content: space-between;
	font-size:1.00000rem;
}

input[align="center"]{
	text-align: center;
}

input[align="left"]{
	text-align: left;
}

input[align="right"]{
	text-align: right;
}

.widget-datetime input.el-input__inner{
	overflow:hidden; text-overflow:ellipsis; 
}

.el-date-editor .el-range-separator{
	padding:0px;
}




.dy-button-group * .el-button, 
.dy-button-group * .dy-button{
	margin: 0 0.71429rem;
}

.dyui-button-group, .dy-button-group{
	display:flex; flex-direction:row; gap: 1.42857rem; text-align: center; padding-top:1.07143rem;
	justify-content: center; align-items: center; position:relative;
}

.dyui-button-group::before, .dy-button-group::before{
	content:""; box-shadow: 0px -0.14286rem 0.35714rem rgba(0, 0, 0, 0.08);
	position:absolute; width:100%; height:0.21429rem; left:0px; top:0px;
	border-top:0.07143rem #e5e5e5 solid;
}

.dyui-button-group[align="right"]::before{
	content:""; flex-grow:1; display:block;
}

.dyui-button-group[align="left"]::after{
	content:""; flex-grow:1; display:block;
}

.dyui-form-page{
	width:100%; height:100%; box-sizing: border-box;
	overflow:hidden; display:flex; flex-direction: column; 
}

.dyui-form-page > .dyui-form-container{
	flex-grow:1; overflow: auto;
}

.dyui-form-page > .dyui-button-group{
	display:flex; flex-direction: row; align-items: center; justify-content: space-between;
}

.el-radio{
	min-width:5.35714rem;
}

dyui-form-item-field{
	box-sizing: border-box; width:100%; min-height:2.85714rem;
	padding:0px; margin:0px; display:flex; flex-direction: row; align-items: center;
}

dyui-form-item-field .sub-table-select{
	width:100%;
}
dyui-form-item-field[input-type="number"], dyui-form-item-field[input-type="short-text"]{
	width:15.92857rem;
}

dyui-pre-suffix{
	display:inline-block; margin-right:0.71429rem; color:#666;
}
dyui-suffix{
	display:inline-block; margin-left:0.71429rem; color:#666;
}



.dyui-tab-view{
	display:flex; flex-direction: row; align-items: center;
	justify-content: center; gap: 2.14286rem;
	padding: 0px; position:relative; height:3.57143rem; line-height:3.57143rem;
	margin-bottom:0.71429rem;
}

.dyui-tab-view::after{
	content:""; display:block; height:0.07143rem; position:absolute; bottom:0.07143rem; left:0px; width:100%;
	background:#e5e5e5;
}

.dyui-tab-view .dyui-tab-view-item{
	display:block; color:#333; cursor: pointer; position:relative;
	height:100%; line-height:inherit;
}
.dyui-tab-view .dyui-tab-view-item.active{
	color:var(--color-primary-button);
}
.dyui-tab-view .dyui-tab-view-item.active::after{
	content:""; display:block; position:absolute; height:0.21429rem; width:100%; left:0px; bottom:0px;
	background: var(--color-primary-button); z-index:2; max-width:5.71429rem;
	border-radius:0.21429rem;
}